package com.ruoyi.web.plotmanage.service.impl;

import java.util.List;

import com.ruoyi.web.plotmanage.domain.AdManagement;
import com.ruoyi.web.plotmanage.mapper.AdManagementMapper;
import com.ruoyi.web.plotmanage.service.IAdManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 广告位管理Service业务层处理
 * 
 * @author cyx
 * @date 2022-11-24
 */
@Service
public class AdManagementServiceImpl implements IAdManagementService
{
    @Autowired
    private AdManagementMapper adManagementMapper;

    /**
     * 查询广告位管理
     * 
     * @param id 广告位管理主键
     * @return 广告位管理
     */
    @Override
    public AdManagement selectAdManagementById(Long id)
    {
        return adManagementMapper.selectAdManagementById(id);
    }

    /**
     * 查询广告位管理列表
     * 
     * @param adManagement 广告位管理
     * @return 广告位管理
     */
    @Override
    public List<AdManagement> selectAdManagementList(AdManagement adManagement)
    {
        return adManagementMapper.selectAdManagementList(adManagement);
    }

    /**
     * 新增广告位管理
     * 
     * @param adManagement 广告位管理
     * @return 结果
     */
    @Override
    public int insertAdManagement(AdManagement adManagement)
    {
        return adManagementMapper.insertAdManagement(adManagement);
    }

    /**
     * 修改广告位管理
     * 
     * @param adManagement 广告位管理
     * @return 结果
     */
    @Override
    public int updateAdManagement(AdManagement adManagement)
    {
        return adManagementMapper.updateAdManagement(adManagement);
    }

    /**
     * 批量删除广告位管理
     * 
     * @param ids 需要删除的广告位管理主键
     * @return 结果
     */
    @Override
    public int deleteAdManagementByIds(Long[] ids)
    {
        return adManagementMapper.deleteAdManagementByIds(ids);
    }

    /**
     * 删除广告位管理信息
     * 
     * @param id 广告位管理主键
     * @return 结果
     */
    @Override
    public int deleteAdManagementById(Long id)
    {
        return adManagementMapper.deleteAdManagementById(id);
    }
}
